#/homes/algebra/kant/V4/src/kash/lib/KashPvmSlave.g
PvmGetB := function()
  local d;
  d := PvmSlaveGet();
  while d = false do
    Sleep(1);
    d := PvmSlaveGet();
  od;
  return d;
end;

#/*TEX**TEX|***TEX***TEX***TEX***TEX**TEX***TEX***TEX***TEX***TEX***TEX***TEX**
#
#USERDEF
#
#FXN       PvmGetEval
#
#SHORTDOC
#
#LONGDOC   This function serves both as an example for a slave program and
#          to provide a minimal slave.
#          This function performs a typical cycle for the slave:
#          It waits for any data to arrive, evaluates it and
#          returns an answer. You may stop this loop by sending
#          a simple {\tt true}.
#
#CALLING   {\it not intended to be called by a user}
#
#ARGUS
#
#CSRC
#
#DEBUG
#
#XREF      
#
#PACKAGE   lib
#
#EXAMPLE   See {\tt PvmClassgroup} in {\tt PvmClassgroup.kash} for an example.
#
#
#**HISTORY*|*HISTORY***HISTORY***HISTORY**HISTORY***HISTORY***HISTORY***HISTORY
#
#**C***C***|***C***C***C***C***C***C**C***C***C***C***C***C***C***C***C***C***/
PvmGetEval := function()
  local d;
  d := PvmGetB();
  while d[2] <> true do
    PvmSlaveSend(d);
    d := PvmGetB();
  od;
end;
Print("OK, enjoy it...\n");
