#############################################################################
##
#A  kantlat.g                    KANT library              jm
##
#A  @(#)$Id: kantlat.g 1.00 1998/09/17 jm $
##
#Y  Copyright 1995,  Prof. Dr. M. Pohst, TU - Berlin,  Germany
##
##  This file contains the lattice KANT functions .
##
#H  $Log: kantlat.g $
#H  Revision 1.00  1998/0/09  jm
#H  added 'IsLat'
#H
##
#############################################################################
##
#F  IsLat( <object> )  . . . checks if argument is a lattice
#/*TEX**TEX|***TEX***TEX***TEX***TEX**TEX***TEX***TEX***TEX***TEX***TEX***TEX**
#FXN       IsLat
#CALLING   b := IsLat(a);
#SHORTDOC  Returns true iff the argument is of type "KANT lattice".
#ARGUS     b @ boolean
#          a
#
#PACKAGE   lib
#
#KASH      @
#          lambda := Lat(MatId(Z,8));
#          IsLat(lambda);
#
#**KASH***KASH***KASH***KASH***KASH***KASH***KASH***KASH***KASH***KASH***KASH*/
##

IsLat := function ( a )

  if (TYPE (a) = "KANT lattice") then
    return true;
  else
    return false;
  fi;
end;
