GetGens := function(o)  
  local dimino, i, j, k, smu;

  dimino := function(gens, H)
    local klassen, T, tau, sigma, omega, i, j;
    klassen := [1];
    T := Copy(H);
    repeat
      tau := klassen[1];
      SetRemove(klassen, tau);
      for sigma in gens do
        omega := Position(smu, EltAutomorphism(smu[tau], sigma));
	if not omega in T then
	  SetAdd(klassen, omega);
	  for i in H do
	    SetAdd(T, Position(smu, EltAutomorphism(smu[i], omega)));
	  od;
	fi;
      od;
    until klassen = [];
    return T;
  end;
     
  smu := OrderAutomorphisms(o, []);
  i := [2];
  j := [1];
  repeat
    j := dimino( i, j);
    k := [1..Length(smu)];
    SetSubtract(k, j);
    if k<>[] then  SetAdd(i, k[1]); fi;
  until k = [];
  
  return i;
end;
