#if not IsBound(l) then l := 1; fi;
#Makel := function()
#  local i,j;
#  l := [Elt(K, 1)];
#  for i in [1..7] do l[i+1] := l[i]*elt; od;
#  Apply(l, EltToList);
#  for i in l do Apply(i, EltToList); od;
#  Apply(l, Flat);
#  IsMat(l);
#end;

ModKernel := function(arg)
  local mat, lp, lk, nul, p, o, Fp, P, kp, KP, mp, i, j, k, break, n, m, ef, t,
        fin, den, rt, rat;

  rt := Runtime();
  Info("Entering mod Kernel...\n");
  
  mat := Copy(arg[1]);
  o := XEltOrder(mat[1][1]);

  if Length(arg)=2 and arg[2]=true then rat := false; else rat := true; fi;

if true then
  if rat then
    t := MatKernel(arg[1], "do_modular", "with_den");
  else
    t := MatKernel(arg[1], "do_modular");
  fi;
  Info("Leaving ModKernel after ", (Runtime()-rt)/1000.0, "sec\n");
  return t;
fi;

  m := Length(mat);
  n := Length(mat[1]);

if false then
  #Clear denominators:
  den := List(mat, i->List(i, EltDen));
  Apply(den, Lcm);
  Info("Denominator: ", den, "\n");
  for i in [1..m] do 
    mat[i] := mat[i]*den[i];
  od;
  IsMat(mat);

  t := List(mat, i->Flat(List(i, EltToList)));
  Apply(t, Gcd);
  Info("Gcd: ", t, "\n");
  for i in [1..m] do
    if t[i]<>0 then
      mat[i] := mat[i]/t[i];
      den[i] := den[i]/t[i];
    fi;
  od;
  IsMat(mat);
fi;

  p := NextPrime(2^29);

  repeat
    lp := Factor(p*o);
    i := 1;
    break := false;
    kp := [];
    while not break and i<=Length(lp) do
      Fp := XIdealResidueField(lp[i][1]);
      mp := List(mat, j->List(j, k->XEltToFFE(k, lp[i][1])));
      mp := Mat(Fp, mp);
      kp[i] := MatKernel(mp);
      if Length(kp[i])>1 then break := true;Info("shit\n");fi;
      kp[i] := kp[i]/kp[i][1][m];
      kp[i] := List(kp[i], j->List(j, k->XFFEToElt(k, lp[i][1])));
      i := i+1;
    od; 
    if not break then
      for i in [2..Length(lp)] do
        ef := IdealIdempotents([lp[1][1], lp[i][1]]);
        for j in [1..m] do
          kp[1][1][j] := (kp[1][1][j]*ef[2]+kp[i][1][j]*ef[1]) mod p;
          lp[1][1] := lp[1][1]*lp[i][1];
        od;
      od;
      kp[1][1] := List(kp[1][1], j->j mod p);
      if not IsBound(KP) then
        P := p;
        KP := kp[1];
      else
        ef := IntXGcd(P,p)[2];
        ef := [ef[1]*P, ef[2]*p];
   
        P := P*p;
        for j in [1..m] do
          KP[1][j] := (KP[1][j]*ef[2]+kp[1][1][j]*ef[1]) mod P;
        od;
        t := [[]];
        i := 1;
        break := false;
        while i <= m and not break do
          k := EltToList(KP[1][i]);
          j := 0;
          t[1][i] := [];
          repeat
            j := j+1;
	    if rat then
              t[1][i][j] := RationalReconstruct(k[j], P);
	    else
              t[1][i][j] := k[j];
	    fi;
            break := t[1][i][j] = 0 and k[j]<>0;
          until break or j=XOrderDeg(o);
          if not break then t[1][i] := Elt(o, t[1][i]);fi;
          i := i+1;
        od; 
        if not break then
          IsMat(t);
          Info("testing...");
          if IsBound(fin) and fin=t then
            Info("trying...\n");
            k := t*mat;
            if ForAll(k[1], j->j=0) then
              if IsBound(den) then
                for i in [1..m] do
                  t[1][i] := t[1][i]*den[i];
                od;
              fi;
              Info("Leaving ModKernel after ", (Runtime()-rt)/1000.0, "sec\n");
              return t;
            fi;
          fi;
          fin := Copy(t);
          Info("failed...\n");
        fi;
      fi;
      Info(P, "\n");
    fi;

    p := NextPrime(p);
    GASMAN("g");
  until false;
end; 


