NeqInternal := function( argues )
  local fln, i, co, mo, CheckPrime, NoOfSol, o, n,
        l1, l2, l3, l4, DoPrime, CreateSol, AllSolutions, MoveToo;

  CheckPrime := function(o, pl)
    local fpl, n, v, pi, Test, Solutions, Sol, test;

    Test:= function(n, i)
      local m, j;
      m := n mod v[i];
      if n=0 then
        Append(Solutions, Copy([Sol]));
        return;
      fi;
      if i = Length(v) then
         if m=0 then
            Sol[i] := n/v[i];
            Append(Solutions,Copy([Sol]));
            Sol[i] := 0;
            return;
         else
           return;
         fi;
      fi;
      m := (n-m) / v[i];
      for j in [0..m] do
        Sol[i] := j;
        Test(n-j*v[i], i+1);
      od;
      Sol[i] := 0;
    end;

    fpl := Factor(pl[1]*o);
    n   := pl[2];
    v := [];
    Sol := [];
    for pi in fpl do
      Append(v, [Factor(IdealNorm(pi[1]))[1][2]]);
      Append(Sol, [0]);
    od;
    Solutions := [fpl];
    Print("Prime ", pl[1],": ", n, " ", v, "\n");
    Test(n,1);
    return Solutions;
  end; # CheckPrime

  DoPrime := function(o, l)
    local IdList, Elt, i, t, Id, h;

    Elt := [];
    IdList := l[1];
    Print("Ideals : ", IdList, "\n");
    for i in [2 .. Length(l)] do
      Id := o;
      for t in [1..Length(IdList)] do
        Id := Id * IdList[t][1] ^ l[i][t];
      od;
#      h := IdealIsPrincipal(Id);
       h := false;
      if h = false then
        Add(Elt, Id);
      else
        Add(Elt, h);
      fi;
    od;
    return Elt;
  end;

  CreateSol := function(o, e, l, i)
    local j, h;
    for j in l[i] do
      if i = Length(l) then
        h := IdealIsPrincipal(e*j*o);
        if not h=false then
          Add(AllSolutions, h);
        fi;
      else
        CreateSol(o, e*j, l, i+1);
      fi;
    od;
  end;

  MoveToo := function (e)
    return EltMove(e, o);
  end;

  if Length(argues)<>2 then
    Print("usage: Neq(ord, elt)\n");
    return false;
  fi;

  o := argues[1];
  n := argues[2];

  co := OrderCoefOrder(o);
  if co<> Z  then
     Print("Order must be over Z\n");
     return false;
     co := OrderMaximal(co);
     mo := OrderShort(OrderAbs(o));
     fln := Factor(EltMove(n, co));
     for i in fln do
       i[1] := IdealMove(i[1], mo);
     od;
  else
    mo := OrderMaximal(o);
    if n>0 then
      fln := Factor(n);
    else
      fln := Factor(-n);
    fi;
  fi;
  NoOfSol := 1;
  l2:=[];
  for i in fln do
    l1 := CheckPrime(mo, i);
    NoOfSol :=  NoOfSol * (Length(l1)-1);
    if NoOfSol=0 then
       Print("No solution\n");
       return false;
    fi;
    Append(l2, [l1]);
  od;
  Print(l2, "\n");
  Print("at most ", NoOfSol, " different solutions!\n");

  l4 := [];
  for i in l2 do
    l3 := DoPrime(mo, i);
    if Length(l3) = 0 then
       return false;
    fi;
    Append(l4, [l3]);
  od;
  Print("Ideal Basis of all (possible) Solutions: ", l4, "\n");

  AllSolutions := [];
  CreateSol(mo, 1, l4, 1);
  if Length(AllSolutions) = 0 then
     return false;
  fi;

  Apply(AllSolutions, MoveToo);
  return AllSolutions;
end;

Neq := function (arg)
  if Length(arg) = 1 and IsList(arg[1]) then
    return NeqInternal(arg[1]);
  else
    return NeqInternal(arg);
  fi;
end;

